﻿using System.Collections.Generic;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using WebApiOtherVerbs.Models;

namespace WebApiOtherVerbs.Controllers
{
    [Route("api/[controller]")]
    public class PersonController : Controller
    {
        [AcceptVerbs("SEARCH")]
        public async Task<IActionResult> Search([FromBody]List<PersonSearchModel> people)
        {
            IList<string> found = new List<string>();
            foreach (var person in people)
            {
                // perform search
                found.Add($"found this person {person.Firstname}");
            }

            return Ok(found);
        }
    }
}
